- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# QTransportAuth::Data Struct Reference

Search for all occurrences

## Detailed Description

Definition at line 108 of file qtransportauth_qws.h.

`#include <qtransportauth_qws.h>`

List of all members.

## Public Member Functions
| Data ()
| Data (unsigned char p, int d)
bool | trusted () const
void | setTrusted (bool)
bool | connection () const
void | setConnection (bool)
## Public Attributes
unsigned char | properties
unsigned char | progId
unsigned char | status
unsigned int | descriptor
pid_t | processId

## Constructor & Destructor Documentation

Data | ( |  | ) | `[inline]`

Definition at line 110 of file qtransportauth_qws.h.

    { processId = -1; }

Data | ( | unsigned char | p,
|  | int | d
| ) |  | `[inline]`

Definition at line 111 of file qtransportauth_qws.h.

                : properties( p )
                , descriptor( d )
                , processId( -1 )
            {
                if (( properties & TransportType ) == TCP ||
                    ( properties & TransportType ) == UnixStreamSock )
                    properties |= Connection;
            }

## Member Function Documentation

bool trusted | ( |  | ) | const

Search for all occurrences

void setTrusted | ( | bool |  | ) |

Search for all occurrences

bool connection | ( |  | ) | const

Search for all occurrences

void setConnection | ( | bool |  | ) |

Search for all occurrences

## Member Data Documentation

unsigned char properties

Search for all occurrences

Definition at line 121 of file qtransportauth_qws.h.

unsigned char progId

Search for all occurrences

Definition at line 122 of file qtransportauth_qws.h.

unsigned char status

Search for all occurrences

Definition at line 123 of file qtransportauth_qws.h.

unsigned int descriptor

Search for all occurrences

Definition at line 124 of file qtransportauth_qws.h.

pid_t processId

Search for all occurrences

Definition at line 125 of file qtransportauth_qws.h.

The documentation for this struct was generated from the following file:

- QtGui/qtransportauth_qws.h